Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::LocalObject Class Reference

`#include <LocalObject.h>`

Inheritance diagram for CORBA::LocalObject:

[legend]
Collaboration diagram for CORBA::LocalObject:

[legend]
List of all members.

## Public Types
typedef LocalObject_ptr | _ptr_type
| Useful for template programming.
typedef LocalObject_var | _var_type
## Public Methods
virtual | ~LocalObject (void)
| Destructor.
virtual CORBA::Boolean | _non_existent (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
| Always returns false.
virtual CORBA::ImplementationDef_ptr | _get_implementation (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
| Throws CORBA::NO_IMPLEMENT.
virtual CORBA::InterfaceDef_ptr | _get_interface (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
| Gets info about object from the Interface Repository.
virtual CORBA::Object_ptr | _get_component (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
| Throws NO_IMPLEMENT.
virtual void | _create_request (CORBA::Context_ptr ctx, const char *operation, CORBA::NVList_ptr arg_list, CORBA::NamedValue_ptr result, CORBA::Request_ptr &request, CORBA::Flags req_flags ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Determine if we are of the type specified by the "logical_type_id".
virtual void | _create_request (CORBA::Context_ptr ctx, const char *operation, CORBA::NVList_ptr arg_list, CORBA::NamedValue_ptr result, CORBA::ExceptionList_ptr exclist, CORBA::ContextList_ptr ctxtlist, CORBA::Request_ptr &request, CORBA::Flags req_flags ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Determine if we are of the type specified by the "logical_type_id".
virtual CORBA::Request_ptr | _request (const char *operation ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Throws NO_IMPLEMENT.
CORBA::Policy_ptr | _get_policy (CORBA::PolicyType type ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Throws CORBA::NO_IMPLEMENT.
CORBA::Policy_ptr | _get_client_policy (CORBA::PolicyType type ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Throws CORBA::NO_IMPLEMENT.
CORBA::Object_ptr | _set_policy_overrides (const CORBA::PolicyList &policies, CORBA::SetOverrideType set_add ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Throws CORBA::NO_IMPLEMENT.
CORBA::PolicyList * | _get_policy_overrides (const CORBA::PolicyTypeSeq &types ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Throws CORBA::NO_IMPLEMENT.
CORBA::Boolean | _validate_connection (CORBA::PolicyList_out inconsistent_policies ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Throws CORBA::NO_IMPLEMENT.
virtual CORBA::ULong | _hash (CORBA::ULong maximum ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual CORBA::Boolean | _is_equivalent (CORBA::Object_ptr other_obj ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ()
virtual void | _add_ref (void)
| Increment the reference count.
virtual void | _remove_ref (void)
| Decrement the reference count.
virtual TAO::ObjectKey * | _key (ACE_ENV_SINGLE_ARG_DECL)
| Throws CORBA::NO_IMPLEMENT.
## Static Public Methods
LocalObject_ptr | _duplicate (LocalObject_ptr obj)
| Increment the ref count.
LocalObject_ptr | _nil (void)
| Return a NIL object.
LocalObject_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
## Protected Methods
| LocalObject (void)
| Default constructor.
## Private Methods
Unimplemented methods
| LocalObject (const LocalObject &)
LocalObject & | operator= (const LocalObject &)

## Detailed Description

Note:
  NW: It is not clear whether minimum CORBA should support LocalObject or not. I think it should.

## Member Typedef Documentation

typedef LocalObject_ptr CORBA::LocalObject::_ptr_type

| Useful for template programming. Reimplemented from CORBA::Object. Reimplemented in TAO_ORBInitInfo.

typedef LocalObject_var CORBA::LocalObject::_var_type

| Reimplemented from CORBA::Object. Reimplemented in TAO_ORBInitInfo.

## Constructor & Destructor Documentation

CORBA::LocalObject::~LocalObject | ( | void |  | ) | `[virtual]`

| Destructor.

ACE_INLINE CORBA::LocalObject::LocalObject | ( | void |  | ) | `[protected]`

| Default constructor. Make it protected to prevent instantiation of this class.

CORBA::LocalObject::LocalObject | ( | const LocalObject & |  | ) | `[private]`

## Member Function Documentation

void CORBA::LocalObject::_add_ref | ( | void |  | ) | `[virtual]`

| Increment the reference count. Reimplemented from CORBA::Object. Reimplemented in TAO_Local_RefCounted_Object.

void CORBA::LocalObject::_create_request | ( | CORBA::Context_ptr | ctx,
|  | const char * | operation,
|  | CORBA::NVList_ptr | arg_list,
|  | CORBA::NamedValue_ptr | result,
|  | CORBA::ExceptionList_ptr | exclist,
|  | CORBA::ContextList_ptr | ctxtlist,
|  | CORBA::Request_ptr & | request,
|  | CORBA::Flags req_flags | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | `[virtual]`

| Determine if we are of the type specified by the "logical_type_id". Reimplemented from CORBA::Object.

void CORBA::LocalObject::_create_request | ( | CORBA::Context_ptr | ctx,
|  | const char * | operation,
|  | CORBA::NVList_ptr | arg_list,
|  | CORBA::NamedValue_ptr | result,
|  | CORBA::Request_ptr & | request,
|  | CORBA::Flags req_flags | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | `[virtual]`

| Determine if we are of the type specified by the "logical_type_id". Reimplemented from CORBA::Object.

ACE_INLINE CORBA::LocalObject_ptr CORBA::LocalObject::_duplicate | ( | LocalObject_ptr | obj | ) | `[static]`

| Increment the ref count.

CORBA::Policy_ptr CORBA::LocalObject::_get_client_policy | ( | CORBA::PolicyType type | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA::Object.

CORBA::Object_ptr CORBA::LocalObject::_get_component | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[virtual]`

| Throws NO_IMPLEMENT. Reimplemented from CORBA::Object.

CORBA::ImplementationDef_ptr CORBA::LocalObject::_get_implementation | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[virtual]`

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA::Object.

CORBA::InterfaceDef_ptr CORBA::LocalObject::_get_interface | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[virtual]`

| Gets info about object from the Interface Repository. Reimplemented from CORBA::Object.

CORBA::Policy_ptr CORBA::LocalObject::_get_policy | ( | CORBA::PolicyType type | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA::Object.

CORBA::PolicyList* CORBA::LocalObject::_get_policy_overrides | ( | const CORBA::PolicyTypeSeq &types | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA::Object.

CORBA::ULong CORBA::LocalObject::_hash | ( | CORBA::ULong maximum | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Return a hash value for this object. The hash is based on the address of the object. On non-32 bit platforms, the hash may be non-unique. Reimplemented from CORBA::Object.

CORBA::Boolean CORBA::LocalObject::_is_equivalent | ( | CORBA::Object_ptr other_obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ()`[virtual]`

| Try to determine if this object is the same as `other_obj`. This method relies on the representation of the object reference's private state. Since that changes easily (when different ORB protocols are in use) there is no default implementation. Reimplemented from CORBA::Object.

TAO::ObjectKey * CORBA::LocalObject::_key | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA::Object.

ACE_INLINE CORBA::LocalObject_ptr CORBA::LocalObject::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Todo: Narrowing a LocalObject to a CORBA::Object is broken right now. The solution seems to be making CORBA::Object an abstract base class and create a CORBA::RemoteObject for regular object. Or, even easier, add a `is_local` member into CORBA::Object. I'll take the easier route for now. Reimplemented from CORBA::Object. Reimplemented in TAO_ORBInitInfo.

ACE_INLINE CORBA::LocalObject_ptr CORBA::LocalObject::_nil | ( | void |  | ) | `[static]`

| Return a NIL object. Reimplemented from CORBA::Object. Reimplemented in TAO_ORBInitInfo.

CORBA::Boolean CORBA::LocalObject::_non_existent | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[virtual]`

| Always returns false. Reimplemented from CORBA::Object.

void CORBA::LocalObject::_remove_ref | ( | void |  | ) | `[virtual]`

| Decrement the reference count. Reimplemented from CORBA::Object. Reimplemented in TAO_Local_RefCounted_Object.

virtual CORBA::Request_ptr CORBA::LocalObject::_request | ( | const char *operation | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Throws NO_IMPLEMENT. Reimplemented from CORBA::Object.

CORBA::Object_ptr CORBA::LocalObject::_set_policy_overrides | ( | const CORBA::PolicyList & | policies,
|  | CORBA::SetOverrideType set_add | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) |

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA::Object.

CORBA::Boolean CORBA::LocalObject::_validate_connection | ( | CORBA::PolicyList_out inconsistent_policies | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA::Object.

LocalObject& CORBA::LocalObject::operator= | ( | const LocalObject & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- LocalObject.h
- LocalObject.cpp
- LocalObject.i